## cacheme 0.8.11-1

=== Makefile ===
#############################################################################
# Makefile for building: cacheme
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:28 2011
# Project:  cacheme.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile cacheme.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-plugins

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/src/src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/src/src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
plugins/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plugins/ || $(MKDIR) plugins/ 
	cd plugins/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/plugins.pro -o $(MAKEFILE)
sub-plugins-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plugins/ || $(MKDIR) plugins/ 
	cd plugins/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/plugins.pro -o $(MAKEFILE)
sub-plugins: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE)
sub-plugins-make_default: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) 
sub-plugins-make_first: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) first
sub-plugins-all: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) all
sub-plugins-clean: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugins-distclean: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugins-install_subtargets: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) install
sub-plugins-uninstall_subtargets: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: cacheme.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile cacheme.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile cacheme.pro

qmake_all: sub-src-qmake_all sub-plugins-qmake_all FORCE

make_default: sub-src-make_default sub-plugins-make_default FORCE
make_first: sub-src-make_first sub-plugins-make_first FORCE
all: sub-src-all sub-plugins-all FORCE
clean: sub-src-clean sub-plugins-clean FORCE
distclean: sub-src-distclean sub-plugins-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets sub-plugins-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets sub-plugins-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
sub-plugins-check: plugins/$(MAKEFILE)
	cd plugins/ && $(MAKE) check
check: sub-src-check sub-plugins-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:28 2011
# Project:  plugins.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile plugins.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-geoservices \
		sub-cacheprovider

geoservices/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) geoservices/ || $(MKDIR) geoservices/ 
	cd geoservices/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/geoservices/geoservices.pro -o $(MAKEFILE)
sub-geoservices-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) geoservices/ || $(MKDIR) geoservices/ 
	cd geoservices/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/geoservices/geoservices.pro -o $(MAKEFILE)
sub-geoservices: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE)
sub-geoservices-make_default: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) 
sub-geoservices-make_first: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) first
sub-geoservices-all: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) all
sub-geoservices-clean: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) clean
sub-geoservices-distclean: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) distclean
sub-geoservices-install_subtargets: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) install
sub-geoservices-uninstall_subtargets: geoservices/$(MAKEFILE) FORCE
	cd geoservices/ && $(MAKE) -f $(MAKEFILE) uninstall
cacheprovider/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) cacheprovider/ || $(MKDIR) cacheprovider/ 
	cd cacheprovider/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/cacheprovider/cacheprovider.pro -o $(MAKEFILE)
sub-cacheprovider-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) cacheprovider/ || $(MKDIR) cacheprovider/ 
	cd cacheprovider/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/cacheprovider/cacheprovider.pro -o $(MAKEFILE)
sub-cacheprovider: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE)
sub-cacheprovider-make_default: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) 
sub-cacheprovider-make_first: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) first
sub-cacheprovider-all: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) all
sub-cacheprovider-clean: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) clean
sub-cacheprovider-distclean: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) distclean
sub-cacheprovider-install_subtargets: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) install
sub-cacheprovider-uninstall_subtargets: cacheprovider/$(MAKEFILE) FORCE
	cd cacheprovider/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: plugins.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile plugins.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile plugins.pro

qmake_all: sub-geoservices-qmake_all sub-cacheprovider-qmake_all FORCE

make_default: sub-geoservices-make_default sub-cacheprovider-make_default FORCE
make_first: sub-geoservices-make_first sub-cacheprovider-make_first FORCE
all: sub-geoservices-all sub-cacheprovider-all FORCE
clean: sub-geoservices-clean sub-cacheprovider-clean FORCE
distclean: sub-geoservices-distclean sub-cacheprovider-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-geoservices-install_subtargets sub-cacheprovider-install_subtargets FORCE
uninstall_subtargets: sub-geoservices-uninstall_subtargets sub-cacheprovider-uninstall_subtargets FORCE

sub-geoservices-check: geoservices/$(MAKEFILE)
	cd geoservices/ && $(MAKE) check
sub-cacheprovider-check: cacheprovider/$(MAKEFILE)
	cd cacheprovider/ && $(MAKE) check
check: sub-geoservices-check sub-cacheprovider-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: ../cacheme
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:26 2011
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DGPSDPOSITIONINFOSOURCE -DAPPNAME=\"cacheme\" -DVERSION=\"0.8.11\" -DDATADIR=\"/usr/share/cacheme\" -DLIBDIR=\"/usr/lib/cacheme\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_SVG_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtSvg -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtSensors -I/usr/include/QtSystemInfo -I/usr/include/QtLocation -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I/opt/qtm12/include/QtLocation -I/opt/qtm12/include/QtSystemInfo -I/opt/qtm12/include/QtSensors -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -rdynamic -L/usr/lib -lQtLocation -lQtSystemInfo -lQtSensors -lQtMaemo5 -L/usr/X11R6/lib -lQtSvg -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = filefinder.cpp \
		iconloader.cpp \
		custompixmap.cpp \
		customwindow.cpp \
		iconlabel.cpp \
		mainwindow.cpp \
		main.cpp \
		cache.cpp \
		cacheprovider.cpp \
		coordinatetool.cpp \
		pickerwidget.cpp \
		pickermanager.cpp \
		waypointdb.cpp \
		swapbox.cpp \
		cachewindow.cpp \
		htmlview.cpp \
		descriptionwindow.cpp \
		logwindow.cpp \
		attributewindow.cpp \
		mapwidget.cpp \
		mapoverlay.cpp \
		mapbutton.cpp \
		mapbuttonmanager.cpp \
		mapbubble.cpp \
		settingsdialog.cpp \
		mapbanner.cpp \
		mapbannerentry.cpp \
		mapspinner.cpp \
		locationprovider.cpp \
		navigationwindow.cpp \
		compass.cpp \
		gpsdpositioninfosource.cpp \
		json.cpp moc_customwindow.cpp \
		moc_mainwindow.cpp \
		moc_cacheprovider.cpp \
		moc_coordinatetool.cpp \
		moc_pickerwidget.cpp \
		moc_pickermanager.cpp \
		moc_waypointdb.cpp \
		moc_cachewindow.cpp \
		moc_htmlview.cpp \
		moc_descriptionwindow.cpp \
		moc_logwindow.cpp \
		moc_attributewindow.cpp \
		moc_mapwidget.cpp \
		moc_mapbutton.cpp \
		moc_mapbubble.cpp \
		moc_settingsdialog.cpp \
		moc_mapbanner.cpp \
		moc_mapbannerentry.cpp \
		moc_mapspinner.cpp \
		moc_locationprovider.cpp \
		moc_navigationwindow.cpp \
		moc_compass.cpp \
		moc_gpsdpositioninfosource.cpp
OBJECTS       = filefinder.o \
		iconloader.o \
		custompixmap.o \
		customwindow.o \
		iconlabel.o \
		mainwindow.o \
		main.o \
		cache.o \
		cacheprovider.o \
		coordinatetool.o \
		pickerwidget.o \
		pickermanager.o \
		waypointdb.o \
		swapbox.o \
		cachewindow.o \
		htmlview.o \
		descriptionwindow.o \
		logwindow.o \
		attributewindow.o \
		mapwidget.o \
		mapoverlay.o \
		mapbutton.o \
		mapbuttonmanager.o \
		mapbubble.o \
		settingsdialog.o \
		mapbanner.o \
		mapbannerentry.o \
		mapspinner.o \
		locationprovider.o \
		navigationwindow.o \
		compass.o \
		gpsdpositioninfosource.o \
		json.o \
		moc_customwindow.o \
		moc_mainwindow.o \
		moc_cacheprovider.o \
		moc_coordinatetool.o \
		moc_pickerwidget.o \
		moc_pickermanager.o \
		moc_waypointdb.o \
		moc_cachewindow.o \
		moc_htmlview.o \
		moc_descriptionwindow.o \
		moc_logwindow.o \
		moc_attributewindow.o \
		moc_mapwidget.o \
		moc_mapbutton.o \
		moc_mapbubble.o \
		moc_settingsdialog.o \
		moc_mapbanner.o \
		moc_mapbannerentry.o \
		moc_mapspinner.o \
		moc_locationprovider.o \
		moc_navigationwindow.o \
		moc_compass.o \
		moc_gpsdpositioninfosource.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = cacheme
DESTDIR       = ../
TARGET        = ../cacheme

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../common.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/cacheme0.8.11 || $(MKDIR) .tmp/cacheme0.8.11 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/cacheme0.8.11/ && $(COPY_FILE) --parents filefinder.h iconloader.h custompixmap.h customwindow.h iconlabel.h mainwindow.h cache.h cacheprovider.h cacheproviderplugin.h coordinatetool.h pickerwidget.h pickermanager.h waypointdb.h swapbox.h cachewindow.h htmlview.h descriptionwindow.h logwindow.h attributewindow.h config.h mapwidget.h mapoverlay.h mapbutton.h mapbuttonmanager.h mapbubble.h settingsdialog.h mapbanner.h mapbannerentry.h mapspinner.h locationprovider.h navigationwindow.h compass.h gpsdpositioninfosource.h json.h .tmp/cacheme0.8.11/ && $(COPY_FILE) --parents filefinder.cpp iconloader.cpp custompixmap.cpp customwindow.cpp iconlabel.cpp mainwindow.cpp main.cpp cache.cpp cacheprovider.cpp coordinatetool.cpp pickerwidget.cpp pickermanager.cpp waypointdb.cpp swapbox.cpp cachewindow.cpp htmlview.cpp descriptionwindow.cpp logwindow.cpp attributewindow.cpp mapwidget.cpp mapoverlay.cpp mapbutton.cpp mapbuttonmanager.cpp mapbubble.cpp settingsdialog.cpp mapbanner.cpp mapbannerentry.cpp mapspinner.cpp locationprovider.cpp navigationwindow.cpp compass.cpp gpsdpositioninfosource.cpp json.cpp .tmp/cacheme0.8.11/ && (cd `dirname .tmp/cacheme0.8.11` && $(TAR) cacheme0.8.11.tar cacheme0.8.11 && $(COMPRESS) cacheme0.8.11.tar) && $(MOVE) `dirname .tmp/cacheme0.8.11`/cacheme0.8.11.tar.gz . && $(DEL_FILE) -r .tmp/cacheme0.8.11


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile

=== plugins/cacheprovider/Makefile ===
#############################################################################
# Makefile for building: cacheprovider
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:28 2011
# Project:  cacheprovider.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile cacheprovider.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-gcbrowser \
		sub-gpx \
		sub-none

gcbrowser/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) gcbrowser/ || $(MKDIR) gcbrowser/ 
	cd gcbrowser/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/cacheprovider/gcbrowser/gcbrowser.pro -o $(MAKEFILE)
sub-gcbrowser-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) gcbrowser/ || $(MKDIR) gcbrowser/ 
	cd gcbrowser/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/cacheprovider/gcbrowser/gcbrowser.pro -o $(MAKEFILE)
sub-gcbrowser: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE)
sub-gcbrowser-make_default: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) 
sub-gcbrowser-make_first: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) first
sub-gcbrowser-all: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) all
sub-gcbrowser-clean: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) clean
sub-gcbrowser-distclean: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) distclean
sub-gcbrowser-install_subtargets: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) install
sub-gcbrowser-uninstall_subtargets: gcbrowser/$(MAKEFILE) FORCE
	cd gcbrowser/ && $(MAKE) -f $(MAKEFILE) uninstall
gpx/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) gpx/ || $(MKDIR) gpx/ 
	cd gpx/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/cacheprovider/gpx/gpx.pro -o $(MAKEFILE)
sub-gpx-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) gpx/ || $(MKDIR) gpx/ 
	cd gpx/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/cacheprovider/gpx/gpx.pro -o $(MAKEFILE)
sub-gpx: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE)
sub-gpx-make_default: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) 
sub-gpx-make_first: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) first
sub-gpx-all: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) all
sub-gpx-clean: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) clean
sub-gpx-distclean: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) distclean
sub-gpx-install_subtargets: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) install
sub-gpx-uninstall_subtargets: gpx/$(MAKEFILE) FORCE
	cd gpx/ && $(MAKE) -f $(MAKEFILE) uninstall
none/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) none/ || $(MKDIR) none/ 
	cd none/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/cacheprovider/none/none.pro -o $(MAKEFILE)
sub-none-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) none/ || $(MKDIR) none/ 
	cd none/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/cacheprovider/none/none.pro -o $(MAKEFILE)
sub-none: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE)
sub-none-make_default: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) 
sub-none-make_first: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) first
sub-none-all: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) all
sub-none-clean: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) clean
sub-none-distclean: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) distclean
sub-none-install_subtargets: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) install
sub-none-uninstall_subtargets: none/$(MAKEFILE) FORCE
	cd none/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: cacheprovider.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile cacheprovider.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile cacheprovider.pro

qmake_all: sub-gcbrowser-qmake_all sub-gpx-qmake_all sub-none-qmake_all FORCE

make_default: sub-gcbrowser-make_default sub-gpx-make_default sub-none-make_default FORCE
make_first: sub-gcbrowser-make_first sub-gpx-make_first sub-none-make_first FORCE
all: sub-gcbrowser-all sub-gpx-all sub-none-all FORCE
clean: sub-gcbrowser-clean sub-gpx-clean sub-none-clean FORCE
distclean: sub-gcbrowser-distclean sub-gpx-distclean sub-none-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-gcbrowser-install_subtargets sub-gpx-install_subtargets sub-none-install_subtargets FORCE
uninstall_subtargets: sub-gcbrowser-uninstall_subtargets sub-gpx-uninstall_subtargets sub-none-uninstall_subtargets FORCE

sub-gcbrowser-check: gcbrowser/$(MAKEFILE)
	cd gcbrowser/ && $(MAKE) check
sub-gpx-check: gpx/$(MAKEFILE)
	cd gpx/ && $(MAKE) check
sub-none-check: none/$(MAKEFILE)
	cd none/ && $(MAKE) check
check: sub-gcbrowser-check sub-gpx-check sub-none-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== plugins/geoservices/Makefile ===
#############################################################################
# Makefile for building: geoservices
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:27 2011
# Project:  geoservices.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile geoservices.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-openstreetmaps \
		sub-cloudmade \
		sub-google

openstreetmaps/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) openstreetmaps/ || $(MKDIR) openstreetmaps/ 
	cd openstreetmaps/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/geoservices/openstreetmaps/openstreetmaps.pro -o $(MAKEFILE)
sub-openstreetmaps-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) openstreetmaps/ || $(MKDIR) openstreetmaps/ 
	cd openstreetmaps/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/geoservices/openstreetmaps/openstreetmaps.pro -o $(MAKEFILE)
sub-openstreetmaps: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE)
sub-openstreetmaps-make_default: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) 
sub-openstreetmaps-make_first: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) first
sub-openstreetmaps-all: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) all
sub-openstreetmaps-clean: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) clean
sub-openstreetmaps-distclean: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) distclean
sub-openstreetmaps-install_subtargets: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) install
sub-openstreetmaps-uninstall_subtargets: openstreetmaps/$(MAKEFILE) FORCE
	cd openstreetmaps/ && $(MAKE) -f $(MAKEFILE) uninstall
cloudmade/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) cloudmade/ || $(MKDIR) cloudmade/ 
	cd cloudmade/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/geoservices/cloudmade/cloudmade.pro -o $(MAKEFILE)
sub-cloudmade-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) cloudmade/ || $(MKDIR) cloudmade/ 
	cd cloudmade/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/geoservices/cloudmade/cloudmade.pro -o $(MAKEFILE)
sub-cloudmade: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE)
sub-cloudmade-make_default: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) 
sub-cloudmade-make_first: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) first
sub-cloudmade-all: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) all
sub-cloudmade-clean: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) clean
sub-cloudmade-distclean: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) distclean
sub-cloudmade-install_subtargets: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) install
sub-cloudmade-uninstall_subtargets: cloudmade/$(MAKEFILE) FORCE
	cd cloudmade/ && $(MAKE) -f $(MAKEFILE) uninstall
google/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) google/ || $(MKDIR) google/ 
	cd google/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/geoservices/google/google.pro -o $(MAKEFILE)
sub-google-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) google/ || $(MKDIR) google/ 
	cd google/ && $(QMAKE) /home/harbaum/cacheme-0.8.11/plugins/geoservices/google/google.pro -o $(MAKEFILE)
sub-google: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE)
sub-google-make_default: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) 
sub-google-make_first: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) first
sub-google-all: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) all
sub-google-clean: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) clean
sub-google-distclean: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) distclean
sub-google-install_subtargets: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) install
sub-google-uninstall_subtargets: google/$(MAKEFILE) FORCE
	cd google/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: geoservices.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile geoservices.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile geoservices.pro

qmake_all: sub-openstreetmaps-qmake_all sub-cloudmade-qmake_all sub-google-qmake_all FORCE

make_default: sub-openstreetmaps-make_default sub-cloudmade-make_default sub-google-make_default FORCE
make_first: sub-openstreetmaps-make_first sub-cloudmade-make_first sub-google-make_first FORCE
all: sub-openstreetmaps-all sub-cloudmade-all sub-google-all FORCE
clean: sub-openstreetmaps-clean sub-cloudmade-clean sub-google-clean FORCE
distclean: sub-openstreetmaps-distclean sub-cloudmade-distclean sub-google-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-openstreetmaps-install_subtargets sub-cloudmade-install_subtargets sub-google-install_subtargets FORCE
uninstall_subtargets: sub-openstreetmaps-uninstall_subtargets sub-cloudmade-uninstall_subtargets sub-google-uninstall_subtargets FORCE

sub-openstreetmaps-check: openstreetmaps/$(MAKEFILE)
	cd openstreetmaps/ && $(MAKE) check
sub-cloudmade-check: cloudmade/$(MAKEFILE)
	cd cloudmade/ && $(MAKE) check
sub-google-check: google/$(MAKEFILE)
	cd google/ && $(MAKE) check
check: sub-openstreetmaps-check sub-cloudmade-check sub-google-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== plugins/cacheprovider/gcbrowser/Makefile ===
#############################################################################
# Makefile for building: libgcbrowser.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:27 2011
# Project:  gcbrowser.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile gcbrowser.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtLocation -I../../../src -Iqsgml -I. -I.. -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = gcbrowser.cpp \
		gcparser.cpp \
		../../../src/cache.cpp \
		gchtmlparser.cpp \
		json.cpp \
		qsgml/QSgml.cpp \
		qsgml/QSgmlTag.cpp moc_gcbrowser.cpp \
		moc_gcparser.cpp \
		moc_gchtmlparser.cpp
OBJECTS       = gcbrowser.o \
		gcparser.o \
		cache.o \
		gchtmlparser.o \
		json.o \
		QSgml.o \
		QSgmlTag.o \
		moc_gcbrowser.o \
		moc_gcparser.o \
		moc_gchtmlparser.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		gcbrowser.pro
QMAKE_TARGET  = gcbrowser
DESTDIR       = ../
TARGET        = libgcbrowser.so
TARGETD       = libgcbrowser.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: gcbrowser.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile gcbrowser.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../common.pri:
../common.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile gcbrowser.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/gcbrowser0.8.11 || $(MKDIR) .tmp/gcbrowser0.8.11 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/gcbrowser0.8.11/ && $(COPY_FILE) --parents gcbrowser.h gcparser.h ../../../src/cache.h gchtmlparser.h json.h ../../../src/cacheproviderplugin.h qsgml/QSgml.h qsgml/QSgmlTag.h .tmp/gcbrowser0.8.11/ && $(COPY_FILE) --parents gcbrowser.cpp gcparser.cpp ../../../src/cache.cpp gchtmlparser.cpp json.cpp qsgml/QSgml.cpp qsgml/QSgmlTag.cpp .tmp/gcbrowser0.8.11/ && (cd `dirname .tmp/gcbrowser0.8.11` && $(TAR) gcbrowser0.8.11.tar gcbrowser0.8.11 && $(COMPRESS) gcbrowser0.8.11.tar) && $(MOVE) `dirname .tmp/gcbrowser0.8.11`/gcbrowser0.8.11.tar.gz . && $(DEL_FILE) -r .tmp/gcbrowser0.8.11


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gcbrowser.cpp moc_gcparser.cpp moc_gchtmlparser.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gcbrowser.cpp moc_gcparser.cpp moc_gchtmlparser.cpp
moc_gcbrowser.cpp: gcbrowser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gcbrowser.h -o moc_gcbrowser.cpp

moc_gcparser.cpp: json.h \
		gcparser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gcparser.h -o moc_gcparser.cpp

moc_gchtmlparser.cpp: gchtmlparser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gchtmlparser.h -o moc_gchtmlparser.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

gcbrowser.o: gcbrowser.cpp gcbrowser.h \
		gcparser.h \
		json.h \
		gchtmlparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gcbrowser.o gcbrowser.cpp

gcparser.o: gcparser.cpp gcparser.h \
		json.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gcparser.o gcparser.cpp

cache.o: ../../../src/cache.cpp ../../../src/cache.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o cache.o ../../../src/cache.cpp

gchtmlparser.o: gchtmlparser.cpp gchtmlparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gchtmlparser.o gchtmlparser.cpp

json.o: json.cpp json.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o json.o json.cpp

QSgml.o: qsgml/QSgml.cpp qsgml/QSgml.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o QSgml.o qsgml/QSgml.cpp

QSgmlTag.o: qsgml/QSgmlTag.cpp qsgml/QSgmlTag.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o QSgmlTag.o qsgml/QSgmlTag.cpp

moc_gcbrowser.o: moc_gcbrowser.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gcbrowser.o moc_gcbrowser.cpp

moc_gcparser.o: moc_gcparser.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gcparser.o moc_gcparser.cpp

moc_gchtmlparser.o: moc_gchtmlparser.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gchtmlparser.o moc_gchtmlparser.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/ 
	-$(INSTALL_PROGRAM) "../$(TARGET)" "$(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== plugins/cacheprovider/gpx/Makefile ===
#############################################################################
# Makefile for building: libgpx.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:28 2011
# Project:  gpx.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile gpx.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtLocation -I../../../src -Iquazip-0.3/quazip -I. -I.. -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = gpx.cpp \
		../../../src/cache.cpp \
		gpxparser.cpp \
		gpxfileparser.cpp \
		quazip-0.3/quazip/ioapi.c \
		quazip-0.3/quazip/unzip.c \
		quazip-0.3/quazip/zip.c \
		quazip-0.3/quazip/quaadler32.cpp \
		quazip-0.3/quazip/quazip.cpp \
		quazip-0.3/quazip/quacrc32.cpp \
		quazip-0.3/quazip/quazipnewinfo.cpp \
		quazip-0.3/quazip/quazipfile.cpp moc_gpx.cpp \
		moc_gpxfileparser.cpp \
		moc_quazipfile.cpp
OBJECTS       = gpx.o \
		cache.o \
		gpxparser.o \
		gpxfileparser.o \
		ioapi.o \
		unzip.o \
		zip.o \
		quaadler32.o \
		quazip.o \
		quacrc32.o \
		quazipnewinfo.o \
		quazipfile.o \
		moc_gpx.o \
		moc_gpxfileparser.o \
		moc_quazipfile.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		gpx.pro
QMAKE_TARGET  = gpx
DESTDIR       = ../
TARGET        = libgpx.so
TARGETD       = libgpx.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: gpx.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile gpx.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../common.pri:
../common.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile gpx.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/gpx0.8.11 || $(MKDIR) .tmp/gpx0.8.11 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/gpx0.8.11/ && $(COPY_FILE) --parents gpx.h ../../../src/cache.h ../../../src/cacheproviderplugin.h gpxparser.h gpxfileparser.h quazip-0.3/quazip/crypt.h quazip-0.3/quazip/quachecksum32.h quazip-0.3/quazip/quazipfileinfo.h quazip-0.3/quazip/quazipnewinfo.h quazip-0.3/quazip/zip.h quazip-0.3/quazip/ioapi.h quazip-0.3/quazip/quacrc32.h quazip-0.3/quazip/quaadler32.h quazip-0.3/quazip/quazipfile.h quazip-0.3/quazip/quazip.h quazip-0.3/quazip/unzip.h .tmp/gpx0.8.11/ && $(COPY_FILE) --parents gpx.cpp ../../../src/cache.cpp gpxparser.cpp gpxfileparser.cpp quazip-0.3/quazip/ioapi.c quazip-0.3/quazip/unzip.c quazip-0.3/quazip/zip.c quazip-0.3/quazip/quaadler32.cpp quazip-0.3/quazip/quazip.cpp quazip-0.3/quazip/quacrc32.cpp quazip-0.3/quazip/quazipnewinfo.cpp quazip-0.3/quazip/quazipfile.cpp .tmp/gpx0.8.11/ && (cd `dirname .tmp/gpx0.8.11` && $(TAR) gpx0.8.11.tar gpx0.8.11 && $(COMPRESS) gpx0.8.11.tar) && $(MOVE) `dirname .tmp/gpx0.8.11`/gpx0.8.11.tar.gz . && $(DEL_FILE) -r .tmp/gpx0.8.11


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gpx.cpp moc_gpxfileparser.cpp moc_quazipfile.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gpx.cpp moc_gpxfileparser.cpp moc_quazipfile.cpp
moc_gpx.cpp: gpxfileparser.h \
		gpxparser.h \
		gpx.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gpx.h -o moc_gpx.cpp

moc_gpxfileparser.cpp: gpxparser.h \
		gpxfileparser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gpxfileparser.h -o moc_gpxfileparser.cpp

moc_quazipfile.cpp: quazip-0.3/quazip/quazip.h \
		quazip-0.3/quazip/zip.h \
		quazip-0.3/quazip/ioapi.h \
		quazip-0.3/quazip/unzip.h \
		quazip-0.3/quazip/quazipfileinfo.h \
		quazip-0.3/quazip/quazipnewinfo.h \
		quazip-0.3/quazip/quazipfile.h
	/usr/bin/moc $(DEFINES) $(INCPATH) quazip-0.3/quazip/quazipfile.h -o moc_quazipfile.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

gpx.o: gpx.cpp gpx.h \
		gpxfileparser.h \
		gpxparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gpx.o gpx.cpp

cache.o: ../../../src/cache.cpp ../../../src/cache.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o cache.o ../../../src/cache.cpp

gpxparser.o: gpxparser.cpp gpxparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gpxparser.o gpxparser.cpp

gpxfileparser.o: gpxfileparser.cpp gpxfileparser.h \
		gpxparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gpxfileparser.o gpxfileparser.cpp

ioapi.o: quazip-0.3/quazip/ioapi.c quazip-0.3/quazip/ioapi.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o ioapi.o quazip-0.3/quazip/ioapi.c

unzip.o: quazip-0.3/quazip/unzip.c quazip-0.3/quazip/unzip.h \
		quazip-0.3/quazip/ioapi.h \
		quazip-0.3/quazip/crypt.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o unzip.o quazip-0.3/quazip/unzip.c

zip.o: quazip-0.3/quazip/zip.c quazip-0.3/quazip/zip.h \
		quazip-0.3/quazip/ioapi.h \
		quazip-0.3/quazip/crypt.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o zip.o quazip-0.3/quazip/zip.c

=== plugins/cacheprovider/none/Makefile ===
#############################################################################
# Makefile for building: libnone.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:28 2011
# Project:  none.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile none.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtLocation -I../../../src -I. -I.. -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = none.cpp \
		../../../src/cache.cpp moc_none.cpp
OBJECTS       = none.o \
		cache.o \
		moc_none.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		none.pro
QMAKE_TARGET  = none
DESTDIR       = ../
TARGET        = libnone.so
TARGETD       = libnone.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: none.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile none.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../common.pri:
../common.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile none.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/none0.8.11 || $(MKDIR) .tmp/none0.8.11 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/none0.8.11/ && $(COPY_FILE) --parents none.h ../../../src/cache.h ../../../src/cacheproviderplugin.h .tmp/none0.8.11/ && $(COPY_FILE) --parents none.cpp ../../../src/cache.cpp .tmp/none0.8.11/ && (cd `dirname .tmp/none0.8.11` && $(TAR) none0.8.11.tar none0.8.11 && $(COMPRESS) none0.8.11.tar) && $(MOVE) `dirname .tmp/none0.8.11`/none0.8.11.tar.gz . && $(DEL_FILE) -r .tmp/none0.8.11


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_none.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_none.cpp
moc_none.cpp: none.h
	/usr/bin/moc $(DEFINES) $(INCPATH) none.h -o moc_none.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

none.o: none.cpp none.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o none.o none.cpp

cache.o: ../../../src/cache.cpp ../../../src/cache.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o cache.o ../../../src/cache.cpp

moc_none.o: moc_none.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_none.o moc_none.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/ 
	-$(INSTALL_PROGRAM) "../$(TARGET)" "$(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/cacheme/plugins/cacheprovider/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== plugins/geoservices/cloudmade/Makefile ===
#############################################################################
# Makefile for building: libqtgeoservices_cm.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:27 2011
# Project:  cloudmade.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile cloudmade.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtLocation -I. -I.. -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qgeomappingmanagerengine_cm.cpp \
		qgeomapreply_cm.cpp \
		qgeoserviceproviderplugin_cm.cpp \
		qgeocodeparser.cpp \
		qgeosearchreply_cm.cpp \
		qgeosearchmanagerengine_cm.cpp \
		qgeoroutingmanagerengine_cm.cpp \
		qgeoroutereply_cm.cpp \
		qgeoroutejsonparser.cpp \
		json.cpp moc_qgeomappingmanagerengine_cm.cpp \
		moc_qgeomapreply_cm.cpp \
		moc_qgeoserviceproviderplugin_cm.cpp \
		moc_qgeosearchreply_cm.cpp \
		moc_qgeosearchmanagerengine_cm.cpp \
		moc_qgeoroutingmanagerengine_cm.cpp \
		moc_qgeoroutereply_cm.cpp
OBJECTS       = qgeomappingmanagerengine_cm.o \
		qgeomapreply_cm.o \
		qgeoserviceproviderplugin_cm.o \
		qgeocodeparser.o \
		qgeosearchreply_cm.o \
		qgeosearchmanagerengine_cm.o \
		qgeoroutingmanagerengine_cm.o \
		qgeoroutereply_cm.o \
		qgeoroutejsonparser.o \
		json.o \
		moc_qgeomappingmanagerengine_cm.o \
		moc_qgeomapreply_cm.o \
		moc_qgeoserviceproviderplugin_cm.o \
		moc_qgeosearchreply_cm.o \
		moc_qgeosearchmanagerengine_cm.o \
		moc_qgeoroutingmanagerengine_cm.o \
		moc_qgeoroutereply_cm.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		cloudmade.pro
QMAKE_TARGET  = qtgeoservices_cm
DESTDIR       = ../
TARGET        = libqtgeoservices_cm.so
TARGETD       = libqtgeoservices_cm.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: cloudmade.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile cloudmade.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../common.pri:
../common.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile cloudmade.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtgeoservices_cm0.8.11 || $(MKDIR) .tmp/qtgeoservices_cm0.8.11 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtgeoservices_cm0.8.11/ && $(COPY_FILE) --parents qgeomappingmanagerengine_cm.h qgeomapreply_cm.h qgeoserviceproviderplugin_cm.h qgeocodeparser.h qgeosearchreply_cm.h qgeosearchmanagerengine_cm.h qgeoroutingmanagerengine_cm.h qgeoroutereply_cm.h qgeoroutejsonparser.h json.h debug_cm.h .tmp/qtgeoservices_cm0.8.11/ && $(COPY_FILE) --parents qgeomappingmanagerengine_cm.cpp qgeomapreply_cm.cpp qgeoserviceproviderplugin_cm.cpp qgeocodeparser.cpp qgeosearchreply_cm.cpp qgeosearchmanagerengine_cm.cpp qgeoroutingmanagerengine_cm.cpp qgeoroutereply_cm.cpp qgeoroutejsonparser.cpp json.cpp .tmp/qtgeoservices_cm0.8.11/ && (cd `dirname .tmp/qtgeoservices_cm0.8.11` && $(TAR) qtgeoservices_cm0.8.11.tar qtgeoservices_cm0.8.11 && $(COMPRESS) qtgeoservices_cm0.8.11.tar) && $(MOVE) `dirname .tmp/qtgeoservices_cm0.8.11`/qtgeoservices_cm0.8.11.tar.gz . && $(DEL_FILE) -r .tmp/qtgeoservices_cm0.8.11


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qgeomappingmanagerengine_cm.cpp moc_qgeomapreply_cm.cpp moc_qgeoserviceproviderplugin_cm.cpp moc_qgeosearchreply_cm.cpp moc_qgeosearchmanagerengine_cm.cpp moc_qgeoroutingmanagerengine_cm.cpp moc_qgeoroutereply_cm.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qgeomappingmanagerengine_cm.cpp moc_qgeomapreply_cm.cpp moc_qgeoserviceproviderplugin_cm.cpp moc_qgeosearchreply_cm.cpp moc_qgeosearchmanagerengine_cm.cpp moc_qgeoroutingmanagerengine_cm.cpp moc_qgeoroutereply_cm.cpp
moc_qgeomappingmanagerengine_cm.cpp: qgeoserviceproviderplugin_cm.h \
		qgeomappingmanagerengine_cm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeomappingmanagerengine_cm.h -o moc_qgeomappingmanagerengine_cm.cpp

moc_qgeomapreply_cm.cpp: qgeomapreply_cm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeomapreply_cm.h -o moc_qgeomapreply_cm.cpp

moc_qgeoserviceproviderplugin_cm.cpp: qgeoserviceproviderplugin_cm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeoserviceproviderplugin_cm.h -o moc_qgeoserviceproviderplugin_cm.cpp

moc_qgeosearchreply_cm.cpp: qgeosearchreply_cm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeosearchreply_cm.h -o moc_qgeosearchreply_cm.cpp

moc_qgeosearchmanagerengine_cm.cpp: qgeoserviceproviderplugin_cm.h \
		qgeosearchmanagerengine_cm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeosearchmanagerengine_cm.h -o moc_qgeosearchmanagerengine_cm.cpp

moc_qgeoroutingmanagerengine_cm.cpp: qgeoserviceproviderplugin_cm.h \
		qgeoroutingmanagerengine_cm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeoroutingmanagerengine_cm.h -o moc_qgeoroutingmanagerengine_cm.cpp

moc_qgeoroutereply_cm.cpp: qgeoroutereply_cm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeoroutereply_cm.h -o moc_qgeoroutereply_cm.cpp

compiler_rcc_make_all:
compiler_rcc_clean:

=== plugins/geoservices/google/Makefile ===
#############################################################################
# Makefile for building: libqtgeoservices_google.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:27 2011
# Project:  google.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile google.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtLocation -I. -I.. -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qgeomappingmanagerengine_google.cpp \
		qgeomapreply_google.cpp \
		qgeoserviceproviderplugin_google.cpp moc_qgeomappingmanagerengine_google.cpp \
		moc_qgeomapreply_google.cpp \
		moc_qgeoserviceproviderplugin_google.cpp
OBJECTS       = qgeomappingmanagerengine_google.o \
		qgeomapreply_google.o \
		qgeoserviceproviderplugin_google.o \
		moc_qgeomappingmanagerengine_google.o \
		moc_qgeomapreply_google.o \
		moc_qgeoserviceproviderplugin_google.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		google.pro
QMAKE_TARGET  = qtgeoservices_google
DESTDIR       = ../
TARGET        = libqtgeoservices_google.so
TARGETD       = libqtgeoservices_google.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: google.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile google.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../common.pri:
../common.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile google.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtgeoservices_google0.8.11 || $(MKDIR) .tmp/qtgeoservices_google0.8.11 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtgeoservices_google0.8.11/ && $(COPY_FILE) --parents qgeomappingmanagerengine_google.h qgeomapreply_google.h qgeoserviceproviderplugin_google.h parseproxy.h .tmp/qtgeoservices_google0.8.11/ && $(COPY_FILE) --parents qgeomappingmanagerengine_google.cpp qgeomapreply_google.cpp qgeoserviceproviderplugin_google.cpp .tmp/qtgeoservices_google0.8.11/ && (cd `dirname .tmp/qtgeoservices_google0.8.11` && $(TAR) qtgeoservices_google0.8.11.tar qtgeoservices_google0.8.11 && $(COMPRESS) qtgeoservices_google0.8.11.tar) && $(MOVE) `dirname .tmp/qtgeoservices_google0.8.11`/qtgeoservices_google0.8.11.tar.gz . && $(DEL_FILE) -r .tmp/qtgeoservices_google0.8.11


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qgeomappingmanagerengine_google.cpp moc_qgeomapreply_google.cpp moc_qgeoserviceproviderplugin_google.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qgeomappingmanagerengine_google.cpp moc_qgeomapreply_google.cpp moc_qgeoserviceproviderplugin_google.cpp
moc_qgeomappingmanagerengine_google.cpp: qgeoserviceproviderplugin_google.h \
		qgeomappingmanagerengine_google.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeomappingmanagerengine_google.h -o moc_qgeomappingmanagerengine_google.cpp

moc_qgeomapreply_google.cpp: qgeomapreply_google.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeomapreply_google.h -o moc_qgeomapreply_google.cpp

moc_qgeoserviceproviderplugin_google.cpp: qgeoserviceproviderplugin_google.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeoserviceproviderplugin_google.h -o moc_qgeoserviceproviderplugin_google.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qgeomappingmanagerengine_google.o: qgeomappingmanagerengine_google.cpp qgeomappingmanagerengine_google.h \
		qgeoserviceproviderplugin_google.h \
		qgeomapreply_google.h \
		parseproxy.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgeomappingmanagerengine_google.o qgeomappingmanagerengine_google.cpp

qgeomapreply_google.o: qgeomapreply_google.cpp qgeomapreply_google.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgeomapreply_google.o qgeomapreply_google.cpp

qgeoserviceproviderplugin_google.o: qgeoserviceproviderplugin_google.cpp qgeoserviceproviderplugin_google.h \
		qgeomappingmanagerengine_google.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgeoserviceproviderplugin_google.o qgeoserviceproviderplugin_google.cpp

moc_qgeomappingmanagerengine_google.o: moc_qgeomappingmanagerengine_google.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qgeomappingmanagerengine_google.o moc_qgeomappingmanagerengine_google.cpp

moc_qgeomapreply_google.o: moc_qgeomapreply_google.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qgeomapreply_google.o moc_qgeomapreply_google.cpp

moc_qgeoserviceproviderplugin_google.o: moc_qgeoserviceproviderplugin_google.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qgeoserviceproviderplugin_google.o moc_qgeoserviceproviderplugin_google.cpp

=== plugins/geoservices/openstreetmaps/Makefile ===
#############################################################################
# Makefile for building: libqtgeoservices_osm.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Nov 11 22:17:27 2011
# Project:  openstreetmaps.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile openstreetmaps.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtLocation -I. -I.. -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -L/usr/lib -lQtLocation -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qgeomappingmanagerengine_osm.cpp \
		qgeomapreply_osm.cpp \
		qgeoserviceproviderplugin_osm.cpp \
		qgeocodeparser.cpp \
		qgeosearchreply_osm.cpp \
		qgeosearchmanagerengine_osm.cpp moc_qgeomappingmanagerengine_osm.cpp \
		moc_qgeomapreply_osm.cpp \
		moc_qgeoserviceproviderplugin_osm.cpp \
		moc_qgeosearchreply_osm.cpp \
		moc_qgeosearchmanagerengine_osm.cpp
OBJECTS       = qgeomappingmanagerengine_osm.o \
		qgeomapreply_osm.o \
		qgeoserviceproviderplugin_osm.o \
		qgeocodeparser.o \
		qgeosearchreply_osm.o \
		qgeosearchmanagerengine_osm.o \
		moc_qgeomappingmanagerengine_osm.o \
		moc_qgeomapreply_osm.o \
		moc_qgeoserviceproviderplugin_osm.o \
		moc_qgeosearchreply_osm.o \
		moc_qgeosearchmanagerengine_osm.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		openstreetmaps.pro
QMAKE_TARGET  = qtgeoservices_osm
DESTDIR       = ../
TARGET        = libqtgeoservices_osm.so
TARGETD       = libqtgeoservices_osm.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: openstreetmaps.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../common.pri \
		../common.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile openstreetmaps.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../common.pri:
../common.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile openstreetmaps.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtgeoservices_osm0.8.11 || $(MKDIR) .tmp/qtgeoservices_osm0.8.11 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtgeoservices_osm0.8.11/ && $(COPY_FILE) --parents qgeomappingmanagerengine_osm.h qgeomapreply_osm.h qgeoserviceproviderplugin_osm.h qgeocodeparser.h qgeosearchreply_osm.h qgeosearchmanagerengine_osm.h .tmp/qtgeoservices_osm0.8.11/ && $(COPY_FILE) --parents qgeomappingmanagerengine_osm.cpp qgeomapreply_osm.cpp qgeoserviceproviderplugin_osm.cpp qgeocodeparser.cpp qgeosearchreply_osm.cpp qgeosearchmanagerengine_osm.cpp .tmp/qtgeoservices_osm0.8.11/ && (cd `dirname .tmp/qtgeoservices_osm0.8.11` && $(TAR) qtgeoservices_osm0.8.11.tar qtgeoservices_osm0.8.11 && $(COMPRESS) qtgeoservices_osm0.8.11.tar) && $(MOVE) `dirname .tmp/qtgeoservices_osm0.8.11`/qtgeoservices_osm0.8.11.tar.gz . && $(DEL_FILE) -r .tmp/qtgeoservices_osm0.8.11


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qgeomappingmanagerengine_osm.cpp moc_qgeomapreply_osm.cpp moc_qgeoserviceproviderplugin_osm.cpp moc_qgeosearchreply_osm.cpp moc_qgeosearchmanagerengine_osm.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qgeomappingmanagerengine_osm.cpp moc_qgeomapreply_osm.cpp moc_qgeoserviceproviderplugin_osm.cpp moc_qgeosearchreply_osm.cpp moc_qgeosearchmanagerengine_osm.cpp
moc_qgeomappingmanagerengine_osm.cpp: qgeomappingmanagerengine_osm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeomappingmanagerengine_osm.h -o moc_qgeomappingmanagerengine_osm.cpp

moc_qgeomapreply_osm.cpp: qgeomapreply_osm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeomapreply_osm.h -o moc_qgeomapreply_osm.cpp

moc_qgeoserviceproviderplugin_osm.cpp: qgeoserviceproviderplugin_osm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeoserviceproviderplugin_osm.h -o moc_qgeoserviceproviderplugin_osm.cpp

moc_qgeosearchreply_osm.cpp: qgeosearchreply_osm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeosearchreply_osm.h -o moc_qgeosearchreply_osm.cpp

moc_qgeosearchmanagerengine_osm.cpp: qgeosearchmanagerengine_osm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qgeosearchmanagerengine_osm.h -o moc_qgeosearchmanagerengine_osm.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qgeomappingmanagerengine_osm.o: qgeomappingmanagerengine_osm.cpp qgeomappingmanagerengine_osm.h \
		qgeomapreply_osm.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgeomappingmanagerengine_osm.o qgeomappingmanagerengine_osm.cpp

qgeomapreply_osm.o: qgeomapreply_osm.cpp qgeomapreply_osm.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qgeomapreply_osm.o qgeomapreply_osm.cpp

qgeoserviceproviderplugin_osm.o: qgeoserviceproviderplugin_osm.cpp qgeoserviceproviderplugin_osm.h \
		qgeomappingmanagerengine_osm.h \

=== debian/changelog ===
cacheme (0.8.11-1) unstable; urgency=low

  * Prepare for official symbian^1 release
  * change settings dialog to cope with bigger fonts (e.g. 5250)
  * obfuscate password in conf file
  * Cache map update requests in background to cope with belle crashes
  * help link in about box
  * Support for QtMobility 1.2.1 map types

 -- Till Harbaum <till@harbaum.org>  Mon, 24 Oct 2011 21:03:32 +0200

=== debian/control ===
Source: cacheme
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <till@harbaum.org>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-12-dev, libx11-dev, zlib1g-dev, liblocation-dev
Standards-Version: 3.7.2

Package: cacheme
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Online geocaching application
 CacheMe is an online geocaching application written in Qt.
XB-Description-de_DE: Online-Geocaching-Anwendung
 CacheMe ist eine Online-Geocaching-Anwendung geschrieben in Qt.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2062
XB-Maemo-Display-Name: CacheMe
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAITgAACE4BjDEA7AAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAp7SURBVGiBzVprcFRFGj197507z8xkEvIi
 LCSCRFwgYgRZYTdYIIJaQFweUlqriIoWPniEhQ0IoqAJiutioSUKKGoCWFpi
 7RpcFMi6CgJqQhYCbCRACBnymEwyk8zcR3fvj5AsSWYmiQnGU9U1M327+54z
 X399v+7vEs45eop3D641MQtNIRCjCYzRRIATjEQKohgJAIxSDwTu4Qx1HEot
 B60VmsTTD01YE+jpvUl3BXz43et2jfrmGI3G0YSIwwhBMuFCPAMVOWfgnINz
 Bg4OxhkAQCACCAgIEUBI86cAkXLCXJyjjHNaoijKUYNo23X/rU81XBMB2w+v
 m2SWLEtF0ZCu6gGzxlRQpndLfCiIggSDIEOWTH5KtQK/3rRx3thVX3alb6cC
 thx6fpbdEJHDwZL9WhMYp71COhQEIsJssIBAKGvQvMsf+93qj8K1DymAgJD3
 Dr/4FiHS/Ca1QbgmbDuBRbYzzvWtD47NWsARnGhQAa99sTIh2uHID2j+VFVX
 rjnRcJAlI0wGc1Ftff3URXeur2x/XWpfQUDINttL+fWNdaktTtiX8NMmKGog
 1WFz5BOQUe0t0cECWw6ufVuj6iOq3uMVrlchSyYYRPmdxyasefTq+jYCNh1Y
 OdugS3mNWn2fzPnOYDU4mCbpc5++ff3ulro2U8hAxeyGgPtXSR4AGqhbsJud
 2QBaBbRaYNPe5RMZxZeNqrev+HUJVjkCMAgTF01+aT/QxgJCpi/gwbVyXKPB
 DALS5faMUwRbAX2BBtjFyGUA9gNXLLDhm+URYi273OB3m3uNMZqfsLcMTsf4
 YVNhFCzoTtgiiiLKqk/iw683dbhmN0f5abQQ9+dxOd5mC1Qrs/2qaqa0d/59
 QghSB43FxJEZKDp2Aum/n4DC7493YwDAYjPhZPEp9Hcmo7zmpzaX/YFGs1wt
 zwawtVmAQMYENH+vxDY3DBiFO0fNgutcLWZmzMaxH44i5W4HZjw8DB4/QzAb
 EADRNhFVJ3w4tsMFg1kAUwgqKyshi0ZQ2pZXgPshm4xjWgUwnd+oaj174ibF
 peCutLmgXhFPLViEz/M/x9A7nbhj/UC4fBTFFwNgQdjbLSIS7RK+fvU83Of8
 GHlvHFImR6Fg/WUAAGMMlLaNvyilYDq/EbjixKqqJrdv1FUkRA3E3bfMRZSc
 iNVrnsX77+/AdX9wYsqLyXBrDMcvKtBpR+ayRDAoVsalr9zY90UtYlOsuCf7
 eliiDKg+04T66kaYzWaobqWDgBbOAECe2/6QSRcMvga/W+wO8eiIWNw1ei6u
 jx2JDS/n4LW/vYbf3GLHsGmRaBQJymtUKFpH4oQA8U4DLF6Kw29ehK5RjH04
 Ef1TI6D4KH7IrcSFYw14Nms1nl66EC/kLQRlHQXYzVFUYppNomY9RfMxsasW
 iLBEYkraLIweMgFvvvEmJq67G/2uN+H2rAHgDgmlVSoaleCLgd0iYlC0hO+3
 XILrpA8pk/pheEY/SAYBP31dh6KdVZg+LQN6+SFMnz4duQffgKqpQcfSNEUk
 NpYiUSJEabrWwVHawyRbMPnme5E+4h7sytuNOVOSYXBSjH0yBuYBJpyvVlFf
 Hjx+apku7qP12JtdBXu8EVPWDoajvxH1FQq+e6cCFkThyy8OYNy4cUhKSgIA
 NPobQvLSdA0iMURJXBOjdd0fdJ61YNSQ2/CnSU9j3979GPnASPg0N4bd50D8
 8Ahccmu4eKl5ATDLHaMQp02EQwe+yT6HJreKtAcScN14J3SV4cedLpwtaMBz
 q59DZuYySFLb4DiYA7dA13VwzRQtgenOZgsEb2g2WjHztkcxYsQIXLhQDlES
 YImUUbizCkBVSNEtuKAy+OtVDBrjxB0rkyFbRVQUenHsPRfGpI3F3lM7MHDg
 wKB9KQ0tQCMawHSnpDPu0HUNuh68YWxsIiouVKKy0oXUmfGdEm6P0gNuJN/m
 xJh5/dHk1vDtWxcRqBSR++5uTJs2LWxfSmlIXiI06Iw7JM54pB7GAow1O6TF
 ZsINk6O7LaCy2AtCgJL8Gpz8rBaPL3gc69e9BKvV2mnfsFMIGjjjkRJjDDql
 IZ2FXRnA36jg5D+qwXSOmtKmoE/UFhAA/YZYIEgEvmoVrv/4MDz1tzh2ZB+G
 Dx8elrSqqlBVtfXeoXjpEMEYg8AY9XDGr8y3jqW8qgzJg5Mwf94jOPFZDXzH
 rXCVNMIeZwxZXCWN8BZZUPlvDpnakLNhA4p+KO6U/MGDB5GamorBgwcjITEO
 5y+fDcmLMw7GqEfilNYzykIqbWj0YMe+TVi6JBPv7/gAp0+dQUJiHBJvjkBU
 Usfg1X3Oj9rjHGdO/xerVq1CQUEBlmUuC0u8qqoKmZmZyM/PR05ODmbOuReb
 P10HX1N9yD6MMHBK6yWN8TrGeNhl9GzFKeDm5u+SJCHrL6uwYsXyoOExIQTZ
 2TkdlsRg4Jxjy5YtyMrKwowZM1BSUoLC899i4V//CG8Y8gDABA6N8ToJ0GvD
 OQvwf0duweJFi7F40eJOCYZDYWEhnnjiCfh8PuzZswcDhsRhw0fLUHKusEv9
 mcgA6LUCpYqbUQZdp6FLL+0TAMDr9WLJkiVIT09HRkYGvj38DU7VHcGTG2ej
 uPT78DyuKs3TXnFLils5zRmhlNKQwRz7mZFqe3z88cd45plnkJaWhuLiYpR7
 zuDxlzNQ7XF1eyzOCFXcymlp+5oDgTmrJrgo1RNDNWZBosHuoKysDAsXLsSJ
 EyewefNm3Do+Da9/9AIOnzj4s8cUJdG1fc2BgAQAsiyVUUpDCmjxD845PB5P
 l2+iKApKS0tx0003YcGCBcjNy8XfD+XhwedXQtF6dnAmy1IZcGVDQyRyEoyM
 pzz4UurxuuFwOOBwOBAf3/VwgnOOoUOHIi8vD6rBiydfnYnzrp8679gJRCI1
 c24RIBDhCIHwWKi4o6KqHP889gnOlp2FJHa+PF6NSzXlePvTjdh76JOe8m6F
 ZJAhEOEIcOVYZf626RGXfjx/2e2rDnusIokSBKFbGzf0dK8dDFG2GH//UYPi
 tj68x9t6Mjfn2T/kX6g4N+VaJzB6CoGIGJiYtHfXC/+aCgCtOxCz2fSK2dB5
 hNjXMBusMFrNL7f8bnM6PT1zzFlXbUVynzDrIuKjE8v2vHLkupbfbfaA1ijb
 CpvR0fdZjRCwGR3MGmVbcXVdGwG5Wft3x8TGbpMl0y/LrAuQJRNiYmO35Wbt
 3311fYcMDQEhM5aP/dFVXZH6a3FogYiIj0ks+jTncIcUU4djBA7ObQ7H1ISY
 xKJfgyVkyYSEmMQim8MxNVimMmya9b616W9VV1bN9yp9k3KKMDpYTELs1p1r
 CrqXZr0a92dPnOWr8eV4vQ3Jfq3xF0p0WxERYS+z9bMt/3DFVz8v0d0eD667
 Y1IgEFjq8XjTA0rjNXnVwGS0+iMjIwpMJtPG91bt651XDdrjgdfvsqNOmUM5
 Ha0G9GFKIJCsKmq8zvRuvewhCRKVjbLLaDKVySapRCTiUTiNuz546vNr87JH
 OMxbe7tJN+kplAvRhErRINzJKSLBEdl8F3iICA84qeOiXisSVisFpNPb1xzo
 cTL6f5nnaqiLldpIAAAAAElFTkSuQmCC
